Package com.smartgwt.logicalstructure.widgets.drawing

# Class DrawPathLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawItemLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawPathLogicalStructure

Direct Known Subclasses:
  `DrawPolygonLogicalStructure`

public class DrawPathLogicalStructure extends DrawItemLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String[]`
  `knobs`
  `Point[]`
  `points`
  `String`
  `showTitleLabelBackground`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.drawing.DrawItemLogicalStructure

  `canDrag, canHover, contextMenu, cursor, destroyed, destroying, dragStartDistance, drawGroup, drawPaneAsDrawPane, drawPaneAsString, editProxyConstructor, endArrow, eventOpaque, eventPassThrough, fillColor, fillGradientAsGradient, fillGradientAsString, fillOpacity, hoverDelay, keepInParentRectAsString, lineCap, lineColor, lineOpacity, linePattern, lineWidth, moveKnobOffset, moveKnobPoint, prompt, proportionalResizeModifiers, proportionalResizing, resizeKnobPoints, resizeViaLocalTransformOnly, rotation, scale, shadow, showHover, showResizeOutline, startArrow, title, titleAutoFit, titleAutoFitMargin, titleAutoFitRotationMode, titleLabelPadding, titleRotationMode, translate, useSimpleTransform, xShearFactor, yShearFactor, zIndex`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw, ID`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DrawPathLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### knobs

    public String[] knobs

  - ### points

    public Point[] points

  - ### showTitleLabelBackground

    public String showTitleLabelBackground

- ## Constructor Details

  - ### DrawPathLogicalStructure

    public DrawPathLogicalStructure()